Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 34184 - [TTV] Contextual menus apply to non-selected item
[TTV] Contextual menus apply to non-selected item
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
All All
: P4 (vote)
: 4.x
Assigned To: _ tboudreau
issues@platform
:
Depends on:
Blocks: 33281
  Show dependency treegraph
 
Reported: 2003-06-04 21:04 UTC by David-john Burrowes
Modified: 2008-12-22 18:16 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David-john Burrowes 2003-06-04 21:04:44 UTC
In the debugger views, at least, if you have a
view with several items, and select one, and then
right-click in the blank space, the selected item
is deselected (which is correct), but the
contextual menu items still are the onesthat apply
to the formerly-selected item, (which is wrong).

To reproduce:
- Create a couple breakpoints
- show the breakpoint view
- select one of the breakpoints
- right click in the blank area
- choose "Delete"
Note that the formerly-selected breakpiont gets
deleted, but it shouldn't have been.
Comment 1 Jiri Rechtacek 2003-06-04 22:41:15 UTC
This issue blocks the umbrella issue 33281 - TreeTableView improving. All TTV's
issues should be fixed separately at once on base UI spec (task 31621).
Comment 2 _ tboudreau 2004-07-25 15:43:34 UTC
Just put some more band-aids on TTV focus/selection behavior, which seems to have 
fixed this.
Comment 3 Marian Mirilovic 2005-07-15 07:56:03 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo